configuration key_holder_conf1 of dds_writer is
    for arch
        for key_holder_inst : key_holder
            use entity work.key_holder(TYPE1);
        end for;
    end for;
end configuration;

configuration key_holder_conf2 of dds_reader is
    for arch
        for key_holder_inst : key_holder
            use entity work.key_holder(TYPE1);
        end for;
    end for;
end configuration;